PEAR_Dependency::checkSAPI

PEAR_Dependency::checkSAPI() – Check SAPI backend

Synopsis

require_once 'PEAR/Dependency.php';

mixed PEAR_Dependency::checkSAPI ( mixed &$errmsg , string $name , string $req = null , string $relation = 'has' )

Description

SAPI backend check method. Version comparison is not yet available here.

Parameter

mixed &$errmsg

this variable will contains an error message, if check fail

string $name

name of SAPI backend

string $req

which version to compare (currently unused)

string $relation

how to compare versions (currently hardcoded to 'has')

Return value

mixed - FALSE if dependency could be resolved successfully(!); or an PEAR_DEPENDENCY_* constant in case of unresolved dependency.

Note

This function can not be called statically.

Check external program (Previous) Check Zend version (Next)
Last updated: Mon, 20 Oct 2014 — Download Documentation
Do you think that something on this page is wrong? Please file a bug report or add a note.
View this page in:

User Notes:

There are no user contributed notes for this page.